package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdVouchtempF",description = "凭证模板分录辅助配置表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdVouchtempF {
    @ApiModelProperty(value = "辅助项主键", required = true, example = "")
    private String pkVouchtempF;

    @ApiModelProperty(value = "分录主键", required = false, example = "")
    private String pkVouchtempB;

    @ApiModelProperty(value = "辅助顺序", required = false, example = "")
    private Integer assorder;

    @ApiModelProperty(value = "辅助项", required = false, example = "")
    private String pkAccass;

    @ApiModelProperty(value = "辅助值", required = false, example = "")
    private String assvalue;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}