package com.dhcc.finance.main.model;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwGlVoucherAndLike",description = "凭证信息筛选实体类")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVoucherAndLike {

    @ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;
    
    @ApiModelProperty(value = "分期募集", required = false, example = "")
    private String fqmjbh;
    
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String nameLike;
    
    @ApiModelProperty(value = "来源系统", required = false, example = "")
    private String pkSystem;

    @ApiModelProperty(value = "交易码", required = false, example = "")
    private String tradecode;

    @ApiModelProperty(value = "凭证状态", required = false, example = "")
    private String vouchertype;
    
    @ApiModelProperty(value = "摘要", required = false, example = "")
    private String abstracts;

    @ApiModelProperty(value = "制单人", required = false, example = "")
    private String pkPrepared;

    @ApiModelProperty(value = "审核人", required = false, example = "")
    private String pkAudit;

    @ApiModelProperty(value = "记账人", required = false, example = "")
    private String pkSign;

    @ApiModelProperty(value = "凭证号", required = false, example = "")
    private String voucherno;

    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    @ApiModelProperty(value = "发生额", required = false, example = "")
    private String totaldebit;
    
    @ApiModelProperty(value = "开始日期", required = false, example = "")
    private String begindate;
    
    @ApiModelProperty(value = "结束日期", required = false, example = "")
    private String enddate;
    
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;
    
    @ApiModelProperty(value = "业务时间", required = false, example = "")
    private String occDate;
    
    @ApiModelProperty(value = "制单时间", required = false, example = "")
    private String preparedate;
    
    @ApiModelProperty(value = "最小凭证号", required = false, example = "")
    private String vouchernoMin;
    
    @ApiModelProperty(value = "最大凭证号", required = false, example = "")
    private String vouchernoMax;
    
    @ApiModelProperty(value = "最小制单日期", required = false, example = "")
    private String preparedateMin;
    
    @ApiModelProperty(value = "最大制单日期", required = false, example = "")
    private String preparedateMax;
    
    @ApiModelProperty(value = "最小业务发生日期", required = false, example = "")
    private String occDateMin;
    
    @ApiModelProperty(value = "最大业务发生日期", required = false, example = "")
    private String occDateMax;
    
    @ApiModelProperty(value = "最小发生额", required = false, example = "")
    private String totaldebitMin;
    
    @ApiModelProperty(value = "最大发生额", required = false, example = "")
    private String totaldebitMax;

}
