package com.dhcc.finance.main.model;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwGlVoucherRequest", description = "推送nc系统接口参数")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVoucherRequest {

    @ApiModelProperty(value = "收款人", required = true, example = "")
    private String payee;

    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String zxmbh;

    @ApiModelProperty(value = "流程实例业务编号", required = true, example = "")
    private String lcslywbh;

    @ApiModelProperty(value = "报销类型", required = true, example = "")
    private String bxlx;

    @ApiModelProperty(value = "凭证类型", required = true, example = "")
    private String pzlx;
}
