package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwNcAdvanceInfo",description = "NC垫付款明细")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwNcAdvanceInfo {
	@ApiModelProperty(value = "信托项目编号", required = false, example = "")
	private String xtxmbh;
	
	@ApiModelProperty(value = "信托子项目编号", required = false, example = "")
	private String xtzxmbh;
	
	@ApiModelProperty(value = "信托项目全称", required = false, example = "")
	private String xtxmqc;
	
	@ApiModelProperty(value = "项目专户账号", required = false, example = "")
	private String bankc;
	
	@ApiModelProperty(value = "借方发生额", required = false, example = "")
	private BigDecimal jocc;
	
	@ApiModelProperty(value = "贷方发生额", required = false, example = "")
	private BigDecimal docc;

}
