package com.dhcc.finance.main.model;

import java.math.BigDecimal;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MoneyOfInstetstOrFee {
    @ApiModelProperty(value = " 费用",required = false, example = "")
    private BigDecimal feeAmount;
    
    @ApiModelProperty(value = "借据利息",required = false, example = "")
    private BigDecimal interestAmount;
    
    @ApiModelProperty(value = "增值税",required = false, example = "")
    private BigDecimal taxAmount;
    
    @ApiModelProperty(value = "附加税",required = false, example = "")
    private BigDecimal addTaxAmount;

}
