package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdReportlock;

public interface CwBdReportlockService {
    /**
     * 功能描述：期间锁定
     * @param cwBdReportlock
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author likai
     * @date 2020年7月18日 上午10:40:11
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> periodLock(String lockPeriod);
    /**
     * 功能描述：期间解锁
     * @param lockPeriod
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author likai
     * @date 2020年7月18日 下午4:11:25
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> periodUnlock(String lockPeriod);
    /**
     * 功能描述：查询表中期间锁定最大值
     * @param lockPeriod
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author likai
     * @date 2020年7月18日 下午4:11:25
     * @修改日志：
     */
    RestfulResponse<String, CurrencyMeta> seachMaxLockPeroid();

}
