package com.dhcc.finance.main.service;
import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.PmProjectChild;
import com.github.pagehelper.PageInfo;

/**  
 * Title: PmProjectChildService <br/>  
 * Description: TODO信托项目信息表（子项目）的service接口 <br/> 
 * @author lipeng 
 * @date 2019年7月10日 下午2:24:45
 */
public interface PmProjectChildService {
	/**
	 * Title: searchCwReverseOperationCount <br/>  
	 * Description: TODO 按照信托产品类型和单一集合标志查询信托项目信息表信息<br/>
	 * @author lipeng 
	 * @param reverseType
	 * @return RestfulResponse<Integer,CurrencyMeta>
	 * @date 2019年7月10日 下午2:26:14
	 */
	RestfulResponse<PageInfo<PmProjectChild>, CurrencyMeta> searchPmProjectChildinfoByCclxAndDyjhbz(PmProjectChild  pmProjectChild, int pageNum,
			int pageSize, int navigatePages);
	/**
	 * Title: searchAllProjectName <br/>  
	 * Description: TODO查询所有信托子项目全称<br/>
	 * @author lipeng 
	 * @return RestfulResponse<List<String>,CurrencyMeta>
	 * @date 2019年7月11日 上午9:35:46
	 */
	RestfulResponse<List<String>, CurrencyMeta> searchAllProjectName();
}
