package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "FundsFlowInfoGydd",description = "固有代垫流水信息")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwNcAdvanceCostflowModel {
    
    @ApiModelProperty(value = "id", required = false, example = "")
    private String id;
    
    @ApiModelProperty(value = "批次号", required = false, example = "")
    private String batchNo;
    
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;
    
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;
    
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;
    
    @ApiModelProperty(value = "修改人员", required = false, example = "")
    private String updateUser;
    
    @ApiModelProperty(value = "修改时间", required = false, example = "")
    private Date updateTime;
        
    
    /**
     * 信托项目编号
     */
    @ApiModelProperty(value = "信托项目编号", required = false, example = "")
    private String xtxmbh;
    
    /**
     * 信托项目名称
     */
    @ApiModelProperty(value = "信托项目名称", required = false, example = "")
    private String xtxmqc;
    
    /**
     * 项目专户编号
     */
    @ApiModelProperty(value = "项目专户编号", required = false, example = "")
    private String xmzhbh;
    
    /**
     * 归还代垫款金额
     */
    @ApiModelProperty(value = "归还代垫款金额", required = false, example = "")
    private BigDecimal ghddkje;

    /**
     * 信托子项目编号
     */
    @ApiModelProperty(value = "信托子项目编号", required = false, example = "")
    private String xtzxmbh;
    

}
