package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "XmlxAndBalance", description = "项目类型余额")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class XmlxAndBalance {
	@ApiModelProperty(value = "项目类型", required = true, example = "单一、集合。。。")
	private String xmlx;
	@ApiModelProperty(value = "余额", required = true, example = "")
	private BigDecimal balance;
}
